# class BaseCode

#### package haxe.crypto

Available on all platforms

Allows to encode/decode String and bytes using a power of two base dictionary.

### Constructor

###

`new (base:Bytes)`

Available on Android, HTML5, iOS, Linux, macOS, Neko, Windows

### Methods

###

`decodeBytes (b:Bytes):Bytes`

Available on Android, iOS, Linux, macOS, Neko, Windows

###

`encodeBytes (b:Bytes):Bytes`

Available on HTML5